Subject: [Boost-users] [variant] apply_visitor to rvalue variant
From: Marc Mutz <[email-masked]>
To: [email-masked]
Date: Mon, 10 Jul 2006 11:19:54 +0200
List-Id: Boost Users mailing list <boost-users.lists.boost.org>

Hi,

My gcc 4.0 doesn't let me call apply_visitor on an rvalue variant. This is due 
to the Variant argument being a non-const reference, I guess. Is this a 
deliberate design decision (if so, the rationale should be documented), an 
oversight (in that case, it should be fixed), or a compiler bug (highly 
unlikely, since all of gcc 3.2 through 4.1 would then have it).

Testcase (== usecase) attached.

Thanks,
Marc

-- 
Marc Mutz -- [email-masked], [email-masked]
Klarälvdalens Datakonsult AB, Platform-independent software solutions
_______________________________________________
Boost-users mailing list
[email-masked]
http://lists.boost.org/mailman/listinfo.cgi/boost-users